---
title: Purge Peeked Queue Messages
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Queues](https://developers.cloudflare.com/api/python/resources/queues)

[Messages](https://developers.cloudflare.com/api/python/resources/queues/subresources/messages)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Purge Peeked Queue Messages

queues.messages.purge(strqueue\_id, MessagePurgeParams\*\*kwargs) -> [MessagePurgeResponse](<https://developers.cloudflare.com/api/python/resources/queues#(resource)%20queues.messages%20%3E%20(model)%20message_purge_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/queues/{queue\_id}/messages/purge

Delete messages from a Queue by using refs returned by the peek endpoint. Purging messages does not count as delivery and does not affect metrics.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Queues Write``Workers Scripts Write`

##### ParametersExpand Collapse

account\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

queue\_id: str

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20queue_id%20%3E%20(schema)>)

<details>

<summary>

refs: Iterable\[Ref]

</summary>

ref: str

An opaque reference to a peeked message. You must hold on to this value and use it to purge the message.

<a href="#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20refs%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20ref">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20refs%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class MessagePurgeResponse: …

</summary>

<details>

<summary>

errors: Optional\[List\[Error]]

Errors encountered while purging messages.

</summary>

message: Optional\[str]

<a href="#(resource)%20queues.messages%20%3E%20(model)%20message_purge_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

</details>

<a href="#(resource)%20queues.messages%20%3E%20(model)%20message_purge_response%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

warnings: Optional\[Dict\[str, str]]

Map of refs to warning messages encountered during purge.

<a href="#(resource)%20queues.messages%20%3E%20(model)%20message_purge_response%20%3E%20(schema)%20%3E%20(property)%20warnings">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.messages%20%3E%20(model)%20message_purge_response%20%3E%20(schema)>)

### Purge Peeked Queue Messages

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.queues.messages.purge(
    queue_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    refs=[{
        "ref": "eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2Q0JDLUhTNTEyIn0..Q8p21d7dceR6vUfwftONdQ.JVqZgAS-Zk7MqmqccYtTHeeMElNHaOMigeWdb8LyMOg.T2_HV99CYzGaQuhTyW8RsgbnpTRZHRM6N7UoSaAKeK0"
    }],
)
print(response.errors)
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "errors": [
      {
        "message": "message"
      }
    ],
    "warnings": {
      "foo": "string"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "errors": [
      {
        "message": "message"
      }
    ],
    "warnings": {
      "foo": "string"
    }
  },
  "success": true
}
```